Create Brazil Counterparty
This endpoint creates a counterparty for Brazil using PIX protocol.
Authorization:
bearer
HTTP: bearer
HTTP Authorization Scheme: bearer
Headers:
Authorization: APIKey {YOUR_API_KEY}
Endpoint
POST
/api/v2/banking/counterparties/br
Request Body Sample
{
"accountId": "00000000-0000-0000-0000-000000000000",
"reference": "BR-VENDOR-001",
"counterpartyName": "Pedro Silva",
"address": {
"address1": "Rua Oscar Freire 123",
"address2": "Apto 101",
"city": "Sao Paulo",
"state": "SP",
"postalCode": "01426-001",
"country": "BR"
},
"pixKey": "1a717532-2ae7-4b11-b1bd-2ff5559f4d52",
"pixKeyType": "EVP",
"type": "individual",
"bankAddress": {
"address1": "Av. Paulista 1374",
"city": "Sao Paulo",
"state": "SP",
"postalCode": "01310-100",
"country": "BR"
}
}
Request Body Schema
| Field | Type | Description |
|---|---|---|
accountId | string (uuid) | Required. The account ID to associate with this counterparty. |
reference | string | Required. A unique user-defined reference. Min 1, max 255 characters. |
counterpartyName | string | Required. Counterparty name. Min 2, max 255 characters. |
address | object | Required. Counterparty's address. |
pixKey | string | Required. PIX key value. 1-255 characters. |
pixKeyType | string | Required. PIX key type. See values below. |
type | string | Optional. Counterparty type. Values: individual, business. |
bankAddress | object | Required. Bank's address. Same schema as address. |
PIX Key Types
| Value | Description | Example |
|---|---|---|
CPF | Brazilian Individual Tax ID | 12345678901 |
CNPJ | Brazilian Company Tax ID | 12345678000190 |
PHONE | Phone number with country code | +5511999999999 |
EMAIL | Email address | user@example.com |
EVP | Random key (UUID) | 1a717532-2ae7-4b11-b1bd-2ff5559f4d52 |
Response Sample
{
"id": "00000000-0000-0000-0000-000000000000",
"accountId": "00000000-0000-0000-0000-000000000000",
"reference": "BR-VENDOR-001",
"currency": "BRL",
"counterpartyName": "Pedro Silva",
"address": {
"address1": "Rua Oscar Freire 123",
"address2": "Apto 101",
"city": "Sao Paulo",
"state": "SP",
"postalCode": "01426-001",
"country": "BR"
},
"pixKey": "1a717532-2ae7-4b11-b1bd-2ff5559f4d52",
"pixKeyType": "EVP",
"type": "individual",
"bankAddress": {
"address1": "Av. Paulista 1374",
"city": "Sao Paulo",
"state": "SP",
"postalCode": "01310-100",
"country": "BR"
},
"status": "active",
"createdAt": "2023-01-01T00:00:00Z",
"updatedAt": "2023-01-01T00:00:00Z"
}
Support and Resources
If you need assistance or have any questions, our support team is here to help. You can contact our support team at support@blockwyre.com.
Stay Updated
Stay up-to-date with the latest news, updates, and features from BlockWyre by following us on social media:
- Instagram: BlockWyre Instagram
- Twitter: BlockWyre Twitter
- Facebook: BlockWyre Facebook
- LinkedIn: BlockWyre LinkedIn
We are excited to have you on board and look forward to seeing how you leverage BlockWyre's powerful tools to enhance your financial operations. Happy integrating!